/*
*
* ====================================================================
*
* Copyright 2004 The Apache Software Foundation 
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*
*/
package org.apache.i18n.examples;

import java.util.Locale;

import org.apache.commons.i18n.XMLMessageProvider;
import org.apache.commons.i18n.bundles.MessageBundle;

/**
 * @author Daniel Florey
 *
 */
public class ResourceBundleExample {
    public static void main(String[] args) {
        XMLMessageProvider.install("org.apache.commons-i18n.test", Thread.currentThread().getContextClassLoader().getResourceAsStream("testMessages.xml"));
        MessageBundle xmlMessage = new MessageBundle("helloWorld");
        System.out.println(xmlMessage.getTitle(Locale.GERMAN));
        System.out.println(xmlMessage.getText(Locale.GERMAN));
    }
}