/*
 * $Header: /home/jerenkrantz/tmp/commons/commons-convert/cvs/home/cvs/jakarta-commons-sandbox//i18n/src/java/org/apache/commons/i18n/LocalizedException.java,v 1.1 2004/10/04 13:41:09 dflorey Exp $
 * $Revision: 1.1 $
 * $Date: 2005-02-16 16:14:17 +0100 (Mi, 16 Feb 2005) $
 *
 * ====================================================================
 *
 * Copyright 2004 The Apache Software Foundation 
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package org.apache.commons.i18n;

import java.text.MessageFormat;
import java.util.Locale;

import org.apache.commons.i18n.bundles.ErrorBundle;

public class LocalizedException extends Exception {
    private ErrorBundle errorMessage;

    public LocalizedException(ErrorBundle errorMessage, Throwable throwable) {
        super(errorMessage.getSummary(Locale.getDefault(), throwable.getMessage()), throwable);
        this.errorMessage = errorMessage;
    }

    public LocalizedException(ErrorBundle errorMessage) {
        super(errorMessage.getSummary(
                Locale.getDefault(), 
                MessageFormat.format(
                        MessageManager.INTERNAL_MESSAGES.getString(MessageManager.MESSAGE_ENTRY_NOT_FOUND),
                        new String[] { errorMessage.getId(), ErrorBundle.SUMMARY }))); 
        this.errorMessage = errorMessage;
    }

    public ErrorBundle getErrorMessage() {
        return errorMessage;
    }
}