/*
 * $Header: /home/jerenkrantz/tmp/commons/commons-convert/cvs/home/cvs/jakarta-commons-sandbox//i18n/src/java/org/apache/commons/i18n/LocalizedText.java,v 1.1 2004/10/04 13:41:09 dflorey Exp $
 * $Revision: 1.1 $
 * $Date: 2005-02-14 20:03:07 +0100 (Mo, 14 Feb 2005) $
 *
 * ====================================================================
 *
 * Copyright 2004 The Apache Software Foundation 
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package org.apache.commons.i18n.bundles;

import java.util.Locale;

import org.apache.commons.i18n.LocalizedBundle;
import org.apache.commons.i18n.MessageNotFoundException;

public class TextBundle extends LocalizedBundle {
    public final static String TEXT = "text";

    public TextBundle(String messageId) {
        super(messageId);
    }

    public TextBundle(String messageId, Object[] arguments) {
        super(messageId, arguments);
    }

    public String getText(Locale locale) throws MessageNotFoundException  {
        return getText(TEXT, locale);
    }

    public String getText(Locale locale, String defaultText) {
        return getText(TEXT, defaultText, locale);
    }
}